Fetch a Gas Lift Valve record by source id
GET
https://data.onxecta.com/api/production/well/{sourceWellId}/wellbore/{sourceWellboreId}/tubing/{sourceTubingId}/glv/{sourceId}
Path Parameters
- sourceWellIdstringrequired
- sourceWellboreIdstringrequired
- sourceTubingIdstringrequired
- sourceIdstringrequired
Responses
200
- GasLiftValve
- xidstring<uuid>requiredFormatuuid
- tubingXidstring<uuid>requiredFormatuuid
- sourceIdstringrequiredDescription
- runDatestring<date-time>requiredDescriptionFormatdate-time
- pullDatestring<date-time>DescriptionFormatdate-time
- glvStationinteger<int32>DescriptionFormatint32
- installMdnumber<double>requiredDescriptionFormatdouble
- testRackOpenPressurenumber<double>DescriptionFormatdouble
- surfaceOpenPressurenumber<double>requiredDescriptionFormatdouble
- surfaceClosePressurenumber<double>requiredDescriptionFormatdouble
- portSizenumber<double>requiredDescriptionFormatdouble
- rnumber<double>DescriptionFormatdouble
- nominalValveSizenumber<double>DescriptionFormatdouble
curl
curl --request GET \
--url https://data.onxecta.com/api/production/well/{sourceWellId}/wellbore/{sourceWellboreId}/tubing/{sourceTubingId}/glv/{sourceId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://data.onxecta.com/api/production/well/{sourceWellId}/wellbore/{sourceWellboreId}/tubing/{sourceTubingId}/glv/{sourceId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://data.onxecta.com/api/production/well/{sourceWellId}/wellbore/{sourceWellboreId}/tubing/{sourceTubingId}/glv/{sourceId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
csharp
var options = new RestClientOptions("https://data.onxecta.com")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/api/production/well/{sourceWellId}/wellbore/{sourceWellboreId}/tubing/{sourceTubingId}/glv/{sourceId}", Method.Get);
request.AddHeader("accept", "application/json");
request.AddHeader("content-type", "application/json");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("https://data.onxecta.com/api/production/well/{sourceWellId}/wellbore/{sourceWellboreId}/tubing/{sourceTubingId}/glv/{sourceId}")
.method("GET", body)
.addHeader("accept", "application/json")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();200
// OK
{
"xid": "",
"tubingXid": "",
"sourceId": "",
"runDate": "",
"pullDate": "",
"glvStation": "",
"installMd": "",
"testRackOpenPressure": "",
"surfaceOpenPressure": "",
"surfaceClosePressure": "",
"portSize": "",
"r": "",
"nominalValveSize": ""
}